<?php

namespace Moblyze\Operation;

use DB;
use Illuminate\Database\Seeder;

class OperationTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('operations')->insert([
            [
                "id"                  => '2',
                "name"                => 'Dredging Fishing',
            ],
            [
                "id"                  => '3',
                "name"                => 'Pilotage',
            ],
            [
                "id"                  => '4',
                "name"                => 'Sailing',
            ],
            [
                "id"                  => '5',
                "name"                => 'Towing',
            ],
            [
                "id"                  => '6',
                "name"                => 'Transfers at Sea Trawling',
            ],
            [
                "id"                  => '7',
                "name"                => 'Lifting',
            ],
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'operation.operation.view',
                'name'      => 'View Operation',
            ],
            [
                'slug'      => 'operation.operation.create',
                'name'      => 'Create Operation',
            ],
            [
                'slug'      => 'operation.operation.edit',
                'name'      => 'Update Operation',
            ],
            [
                'slug'      => 'operation.operation.delete',
                'name'      => 'Delete Operation',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/operation/operation',
                'name'        => 'Operation',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/operation/operation',
                'name'        => 'Operation',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'operation',
                'name'        => 'Operation',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Operation',
                'module'    => 'Operation',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'operation.operation.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
