Lavalite package that provides operation management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `moblyze/operation`.

    "moblyze/operation": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Moblyze\Operation\Providers\OperationServiceProvider::class,

And also add it to alias

    'Operation'  => Moblyze\Operation\Facades\Operation::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Moblyze\\OperationTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Moblyze\Operation\Providers\OperationServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Moblyze\Operation\Providers\OperationServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Moblyze\Operation\Providers\OperationServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/operation/{modulename}

**User**

    http://path-to-route-folder/user/operation/{modulename}

**Public**

    http://path-to-route-folder/operations


### API endpoints

**List**

    http://path-to-route-folder/api/user/operation/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/operation/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/operation/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/operation/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/operation/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/operation/{modulename}/{slug}
    METHOD: GET