<?php

namespace Moblyze\Operation;

use User;

class Operation
{
    /**
     * $operation object.
     */
    protected $operation;

    /**
     * Constructor.
     */
    public function __construct(\Moblyze\Operation\Interfaces\OperationRepositoryInterface $operation)
    {
        $this->operation = $operation;
    }

    /**
     * Returns count of operation.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.operation.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->operation->pushCriteria(new \Litepie\Moblyze\Repositories\Criteria\OperationUserCriteria());
        }

        $operation = $this->operation->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('operation::' . $view, compact('operation'))->render();
    }
}
