<?php

namespace Moblyze\Operation\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class OperationTransformer extends TransformerAbstract
{
    public function transform(\Moblyze\Operation\Models\Operation $operation)
    {
        return [
            'id'                => $operation->getRouteKey(),
            'key'               => [
                'public'    => $operation->getPublicKey(),
                'route'     => $operation->getRouteKey(),
            ], 
            'name'              => $operation->name,
            'url'               => [
                'public'    => trans_url('operation/'.$operation->getPublicKey()),
                'user'      => guard_url('operation/operation/'.$operation->getRouteKey()),
            ], 
            'status'            => trans('app.'.$operation->status),
            'created_at'        => format_date($operation->created_at),
            'updated_at'        => format_date($operation->updated_at),
        ];
    }
}